$(document).ready(function() {
    $("#resultados").load("../ajax/agregar_mesa_tmp.php");
    $("#resultados_2").load("../ajax/agregar_tmp_modalcobro.php");
    $("#widgets").load("../ajax/carga_widgets3.php");
    $("#f_resultado").load("../ajax/incrementa_factura.php");
    $("#f_resultado2").load("../ajax/incrementa_factura.php");
    $("#resultados3").load("../ajax/carga_resibido.php");
    $("#resultados4").load("../ajax/carga_resibido4.php");
    $("#f_resultado4").load("../ajax/incrementa_factura.php");
    $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
    $("#carga_ident").load("../ajax/carga_identificativo.php");//el identificativo en html principal
    //$("#carga_ident2").load("../ajax/carga_identificativo2.php");//el identificativo en la modal 
    $("#totalg").load("../ajax/carga_total.php");
    $("#totalg2").load("../ajax/carga_total4.php");
    load(1);

    // Función para cargar el contenido cuando se abra la modal
    function cargarContenido() {
        $("#carga_ident2").load("../ajax/carga_identificativo2.php");
    }

    // Cargar el contenido cuando la página se cargue por primera vez
    cargarContenido();

    // Detectar cuando se cierra la modal
    $('#buscar').on('hidden.bs.modal', function() {
        // Llamar a la función para cargar el contenido cuando se cierre la modal
        cargarContenido();
    });

    // Detectar cuando se abre la modal
    $('#buscar').on('shown.bs.modal', function() {
        // Aquí puedes agregar cualquier acción adicional que desees cuando se abra la modal
    });
});

function load(page) {
    var linea_id=$("#linea_id").val();
    var q = $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url: '../ajax/productos_modal_ventas.php?action=ajax&page=' + page + '&q=' + q+ '&linea_id=' + linea_id,
        beforeSend: function(objeto) {
            $('#loader').html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(data) {
            $(".outer_div").html(data).fadeIn('slow');
            $('#loader').html('');
        }
    })
}

function agregar(id) {
    var precio_venta = document.getElementById('precio_venta_' + id).value;
    var cantidad = document.getElementById('cantidad_' + id).value;
    var cliente = document.getElementById('cliente').value; // Obtener el valor del campo cliente
    
    //Inicia validacion
    if (isNaN(cantidad)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'LA CANTIDAD NO ES UN NUMERO, INTENTAR DE NUEVO')
        document.getElementById('cantidad_' + id).focus();
        return false;
    }
    if (isNaN(precio_venta)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL PRECIO NO ES UN NUMERO, INTENTAR DE NUEVO')
        document.getElementById('precio_venta_' + id).focus();
        return false;
    }
    //Fin validacion
    $.ajax({
        type: "POST",
        url: "../ajax/agregar_tmp_modalmesa.php",
        data: {
            id: id,
            precio_venta: precio_venta,
            cantidad: cantidad,
            cliente: cliente, // Incluir el valor del campo cliente en los datos enviados
            operacion: 2
        },
        beforeSend: function(objeto) {
            $("#resultados").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados").html(datos);
            $("#totalg").load("../ajax/carga_total.php");
            $("#widgets").load("../ajax/carga_widgets3.php");
            $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
            $("#carga_ident").load("../ajax/carga_identificativo.php");
        }
    });
}

function agregar_cobro(id) {
    var precio_venta = document.getElementById('precio_v_' + id).value;
    var descuento = document.getElementById('desc_d_' + id).value;
    var cantidad = document.getElementById('cant_' + id).value;
    //Inicia validacion
    if (isNaN(cantidad)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'LA CANTIDAD NO ES UN NUMERO, INTENTAR DE NUEVO')
        document.getElementById('cant_' + id).focus();
        return false;
    }
    if (isNaN(precio_venta)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL PRECIO NO ES UN NUMERO, INTENTAR DE NUEVO')
        document.getElementById('precio_v_' + id).focus();
        return false;
    }
    if (isNaN(descuento)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL DESCUENTO NO ES UN NUMERO, INTENTAR DE NUEVO')
        document.getElementById('desc_d_' + id).focus();
        return false;
    }
    //Fin validacion
    $.ajax({
        type: "POST",
        url: "../ajax/agregar_tmp_modalcobro.php",
        data: "id=" + id + "&precio_venta=" + precio_venta + "&descuento=" + descuento + "&cantidad=" + cantidad + "&operacion=" + 2,
        beforeSend: function(objeto) {
            $("#resultados_2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_2").html(datos);
             $("#totalg").load("../ajax/carga_total.php");
             $("#widgets").load("../ajax/carga_widgets3.php");
             $("#carga_ident").load("../ajax/carga_identificativo.php");
        }
    });
}
//CONTROLA EL FORMULARIO DEL CODIGO DE BARRA
$("#barcode_form").submit(function(event) {
    var id = $("#barcode").val();
    var cantidad = $("#barcode_qty").val();
    var id_sucursal = 0;
    var mesa = $("#mesa").val();
    //Inicia validacion
    if (isNaN(cantidad)) {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'LA CANTIDAD NO ES UN NUMERO, INTENTAR DE NUEVO')
        $("#barcode_qty").focus();
        return false;
    }
    //Fin validacion
    parametros = {
        'operacion': 1,
        'id': id,
        'id_sucursal': id_sucursal,
        'cantidad': cantidad
    };
    $.ajax({
        type: "POST",
        url: "../ajax/agregar_mesa_tmp.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultadosx").html(datos);
            $("#id").val("");
            $("#id").focus();
            $("#f_resultado").load("../ajax/incrementa_factura.php"); //Actualizamos el numero de Factura
            $("#f_resultado2").load("../ajax/incrementa_factura.php"); //Actualizamos el numero de Factura
             $("#totalg").load("../ajax/carga_total.php");
             $("#widgets").load("../ajax/carga_widgets3.php");
             $("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
             //$("#carga_ident").load("../ajax/carga_identificativo.php");
        }
    });
    event.preventDefault();
})

function eliminar(id) {
    $.ajax({
        type: "GET",
        url: "../ajax/agregar_mesa_tmp.php",
        data: "id=" + id,
        beforeSend: function(objeto) {
            $("#resultados").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados").html(datos);
             $("#totalg").load("../ajax/carga_total.php");
             $("#widgets").load("../ajax/carga_widgets3.php");
             $("#carga_ident").load("../ajax/carga_identificativo.php");
        }
    });
}

function eliminar2(id) {
    $.ajax({
        type: "GET",
        url: "../ajax/agregar_tmp_modalcobro.php",
        data: "id=" + id,
        beforeSend: function(objeto) {
            $("#resultados_2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_2").html(datos);
            $("#resultados").load("../ajax/agregar_mesa_tmp.php");
             $("#totalg").load("../ajax/carga_total.php");
             $("#carga_ident").load("../ajax/carga_identificativo.php");
             
        }
    });
}
$("#guardar_cobro").submit(function(event) {
    $('#guardar_datosc').attr("disabled", true);
    var id_cliente = $("#id_cliente").val();
    var resibido = $("#resib").val();
    var total_f = $("#total_f").val();
   
    if (isNaN(resibido) || resibido == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL DATO NO ES VALIDO O ESTA VACIO, INTENTAR DE NUEVO')
        $("#resib").focus();
        $('#guardar_datosc').attr("disabled", false);
        return false;
    }
    if (id_cliente == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'DEBE SELECCIONAR UN CLIENTE VALIDO')
        $("#nombre_cliente").focus();
        $('#guardar_datosc').attr("disabled", false);
        return false;
    }
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "../ajax/guardar_venta2.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajaxm").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_ajaxm").html(datos);
            $('#guardar_datosc').attr("disabled", false);
            $("#guardar_cobro")[0].reset(); // Recet al formulario de la fatura
            $("#f_resultado").load("../ajax/incrementa_factura.php"); // carga la caja de incrementar la factura
            $("#f_resultado2").load("../ajax/incrementa_factura.php"); // carga la caja de incrementar la factura
            $("#resultados_2").load("../ajax/agregar_tmp_modalcobro.php");
            $("#barcode").focus();
            load(1);
            //desaparecer la alerta
            $(".alert-success").delay(400).show(10, function() {
                $(this).delay(2000).hide(10, function() {
                    $(this).remove();
                });
            }); // /.alert
        }
    });
    event.preventDefault();
})
$("#guardar_cobro2").submit(function(event) {
    $('#guardar_dato').attr("disabled", true);
    var id_cliente = $("#id_cliente2").val();
    var resibido = $("#resibido").val();
    var total_ft = $("#total_ft").val();
    if (isNaN(resibido) || resibido == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL DATO NO ES VALIDO O ESTA VACIO, INTENTAR DE NUEVO')
        $("#resibido").focus();
        $('#guardar_dato').attr("disabled", false);
        return false;
    }

    if (id_cliente == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'DEBE SELECCIONAR UN CLIENTE VALIDO')
        $("#nombre_cliente2").focus();
        $('#guardar_dato').attr("disabled", false);
        return false;
    }
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "../ajax/guardar_venta3.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajaxm2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_ajaxm2").html(datos);
            //$('#cobroGen').modal('hide'); //CIERRA LA MODAL
            $('#guardar_dato').attr("disabled", false);
            $("#guardar_cobro2")[0].reset(); // Recet al formulario de la fatura
            $("#f_resultado2").load("../ajax/incrementa_factura.php"); // carga la caja de incrementar la factura
            $("#resultados").load("../ajax/agregar_mesa_tmp.php");
            $("#widgets").load("../ajax/carga_widgets3.php");
            $("#barcode").focus();
            load(1);
            //desaparecer la alerta
            $(".alert-success").delay(400).show(10, function() {
                $(this).delay(2000).hide(10, function() {
                    $(this).remove();
                });
            }); // /.alert
        }
    });
    event.preventDefault();
})
$("#guardar_cobro4").submit(function(event) {
    $('#guardar_datog').attr("disabled", true);
    var id_cliente = $("#id_cliente2").val();
    var resibidocobros = $("#resibidocobros").val();
    var identificativo = $("#identificativo").val();
    var total_ft = $("#total_ft4").val();
    if (isNaN(resibidocobros) || resibidocobros == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL DATO NO ES VALIDO O ESTA VACIO, INTENTAR DE NUEVO')
        $("#resibidocobros").focus();
        $('#guardar_datog').attr("disabled", false);
        return false;
    }

    if (id_cliente == "") {
        $.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'DEBE SELECCIONAR UN CLIENTE VALIDO')
        $("#nombre_cliente2").focus();
        $('#guardar_datog').attr("disabled", false);
        return false;
    }
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "../ajax/guardar_venta4.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajaxm2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_ajaxm2").html(datos);
            //$('#cobroGen').modal('hide'); //CIERRA LA MODAL
            $('#guardar_datog').attr("disabled", false);
            $("#guardar_cobro4")[0].reset(); // Recet al formulario de la fatura
            $("#f_resultado2").load("../ajax/incrementa_factura.php"); // carga la caja de incrementar la factura
            $("#resultados").load("../ajax/agregar_mesa_tmp.php");
            $("#widgets").load("../ajax/carga_widgets3.php");
            $("#carga_ident").load("../ajax/carga_identificativo.php");
            $("#barcode").focus();
            load(1);
            //desaparecer la alerta
            $(".alert-success").delay(400).show(10, function() {
                $(this).delay(2000).hide(10, function() {
                    $(this).remove();
                });
            }); // /.alert
        }
    });
    event.preventDefault();
})
$("#guardar_cliente").submit(function(event) {
    $('#guardar_datos').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "../ajax/nuevo_cliente.php",
        data: parametros,
        beforeSend: function(objeto) {
            $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
        },
        success: function(datos) {
            $("#resultados_ajax").html(datos);
            $('#guardar_datos').attr("disabled", false);
            //resetea el formulario
            $("#guardar_cliente")[0].reset();
            //desaparecer la alerta
            $(".alert-success").delay(400).show(10, function() {
                $(this).delay(2000).hide(10, function() {
                    $(this).remove();
                });
            }); // /.alert
            load(1);
        }
    });
    event.preventDefault();
})

function imprimir_factura(user_id) {
    VentanaCentrada('../pdf/documentos/corte_caja.php?user_id=' + user_id, 'Corte', '', '724', '568', 'true');
}

function obtener_datos(id) {
            var nombre = $("#nombre" + id).val();
            var cantidad = $("#cantidad" + id).val();
            var descuento = $("#descuento" + id).val();
            var precio = $("#precio" + id).val();
            $("#mod_nom").val(nombre);
            $("#mod_cant").val(cantidad);
            $("#mod_desc").val(descuento);
            $("#mod_precio").val(precio);
            $("#mod_id").val(id);
        }

$("#editar_prod").submit(function(event) {
            $('#actualizar_datos').attr("disabled", true);
            var parametros = $(this).serialize();
            $.ajax({
                type: "POST",
                url: "../ajax/editar_prod_tmp.php",
                data: parametros,
                beforeSend: function(objeto) {
                    $("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
                    //$("#resultados").load("../ajax/agregar_mesa_tmp.php");
                    $("#totalg").load("../ajax/carga_total.php");
                    //$("#carga_totales").load("../ajax/cuentas_tmp_mesas.php");
                },
                success: function(datos) {
                    $("#resultados_ajax2").html(datos);
                    $('#actualizar_datos').attr("disabled", false);
                    load(1);
                    //desaparecer la alerta
                    window.setTimeout(function() {
                        $(".alert").fadeTo(200, 0).slideUp(200, function() {
                            $(this).remove();
                        });
                    }, 2000);
                }
            });
            event.preventDefault();
        })
        $('#dataUpdate').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
            var id_mesa = $("#id_mesa").val();
		    modal.find('#numero_mesa').val(id)
		    modal.find('#id_mesa').val()
           
		})
		$("#eliminarDatos").submit(function(event) {
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/cambio_mesa.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $(".datos_ajax_delete").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $(".datos_ajax_delete").html(datos);
		            $('#dataUpdate').modal('hide');
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		});